Repair campaign history
curl --request POST \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/repair-history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dry_run": true,
"old_width": 123,
"old_height": 123,
"allow_geometry_override": false
}
'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/repair-history"
payload = {
"dry_run": True,
"old_width": 123,
"old_height": 123,
"allow_geometry_override": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dry_run: true, old_width: 123, old_height: 123, allow_geometry_override: false})
};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/repair-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
Repair campaign history
Reconstruct missing historical ownership arrays from retained campaign records.
POST
/
v2
/
leagues
/
{league_id}
/
campaign
/
repair-history
Repair campaign history
Authorizations
Bearer token issued by Softmax
Path Parameters
League whose campaign history should be repaired.
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Body
application/json
Preview repairs without changing campaign history.
Original board width when it cannot be recovered from history.
Original board height when it cannot be recovered from history.
Original board geometry when it cannot be recovered from history.
Available options:
square, hex Allow declared geometry to override conflicting migration evidence.
Response
Successful Response
The response is of type Response Repair Campaign History V2 Leagues League Id Campaign Repair History Post · object.